 % --------------------  GRAPHICAL DISPLAYS ----------------------------------------------------------------  
 global t1 TLi TLf
  figure('Units','Normalized','Position',[.02 .53 .48 .35],'Name','Induction motor starting transients');
  plot(t,spd,'color',[0.5 0 0]);title('Speed vs time','color','r');xlabel('Time [s]'),ylabel('Speed [pu]'),grid
  figure('Units','Normalized','Position',[.5 .53 .45 .35],'Name','Induction motor starting transients');
  plot(t,Te,'-g',[0 t1],[TLi TLi],'-c',[t1 tf],[TLf TLf],'-c');title('Torque vs time','color','r');
            xlabel('Time [s]'),ylabel('Torque [pu]'),grid
            legend('Te', 'TL')
  figure('Units','Normalized','Position',[.02 .09 .48 .35],'Name','Induction motor starting transients');
  plot(t,ias,'-r',t,Is,'-k');title('Stator current','color','r');xlabel('Time [s]'),ylabel('Stator current [pu]'),grid
  figure('Units','Normalized','Position',[.5 .09 .45 .35],'Name','Induction motor starting transients');
  plot(t,iar,'-m');title('iar vs time','color','r');xlabel('Time [s]'),ylabel('Rotor current [pu]'),grid
  figure('Units','Normalized','Position',[.52 .55 .47 .32],'Name','Induction motor starting transients');
  plot(spd,Te,'-b');title('Torque vs speed','color','r');xlabel('Speed [pu]'),ylabel('Torque [pu]'),grid
  
       h0=figure('Units','Normalized','menubar','none','numbertitle','off','Position',[.85 .85 .02 .07]); 
       uicontrol('Parent',h0, ...
          'Units','normalized', ...
	      'BackgroundColor',[0.5 0.5 0.5], ...
	      'Callback','close all,clc', ...
	      'FontSize',9, ...
	      'FontWeight','bold', ...
          'ForegroundColor',[1 1 1], ...
 	      'Position',[0.27 0.1 0.55 0.25], ...
	      'String','CLOSE', ...
	      'TooltipString','Close'); 
       uicontrol('Parent',h0, ...
          'Units','normalized', ...
	      'BackgroundColor',[0.5 0.5 0.5], ...
	      'Callback','IMabc2', ...
	      'FontSize',9, ...
	      'FontWeight','bold', ...
          'ForegroundColor',[1 1 1], ...
 	      'Position',[0.27 0.4 0.5 0.25], ...
	      'String','RERUN', ...
	      'TooltipString','Run');
      uicontrol('Parent',h0, ...
          'Units','normalized', ...
	      'BackgroundColor',[0.5 0.5 0.5], ...
	      'Callback','edit IMabc2', ...
	      'FontSize',9, ...
	      'FontWeight','bold', ...
          'ForegroundColor',[1 1 1], ...
 	      'Position',[0.27 0.7 0.55 0.25], ...
	      'String','EDIT', ...
	      'TooltipString','Edit');
     
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~