%   ALTERNATOR winding model
clc,clear
r1=.62;alpha=2*pi/3;r2=.8;r3=.5;Ra=.95;
%
    figure('Units','normalized','Position',[0.1 0.1 .4 .5],'Name','Alernator','NumberTitle','on') 
 set(gcf,'color','w')     
   
       p=0:pi/20:2*pi;
      X= r2*cos(p) ;Y=r2*sin(p);       
      x=r3*cos(p) ;y=r3*sin(p);
     
      d3=.45*sqrt(2)/2;
      x3=[.45*cos(pi/4:pi/20:3*pi/4) -d3 -.25 -.25 .45*cos(5*pi/4:pi/20:7*pi/4) .25 .25 d3];
      y3=[.45*sin(pi/4:pi/20:3*pi/4) d3 d3 -d3 .45*sin(5*pi/4:pi/20:7*pi/4) -d3 d3 d3];
      
      fill(X,Y,[.85 .85 .9],'linewidth',1.5),hold on
      axis equal
      fill(x,y,[.95 .96 .99],'linewidth',1.5)
      h3=fill(x3,y3,[.85 .85 .9],'linewidth',1.5);
      rotate(h3,[0 0 1],-50,[0 0 0])
                 
       
 d1=plot([0 1.1],[0 0],'-k','LineWidth',2); 
 d2=plot([1.0 1.1 1.0],[.03 0 -0.03],'-k','linewidth',2);
 d3=fill([.24 .42 .42 .24 .24],[.02 .02 -0.02 -.02 .02],[0 0 1]);
 d4=fill([.56 .77 .77 .56 .56],[.02 .02 -0.02 -.02 .02],[1 0 0]);
 d5=fill([-.15 .15 .15 -.15 -.15],[.02 .02 -0.02 -.02 .02],[0 1 0]);
 rotate(d1,[0 0 1],40,[0 0 0]);
 rotate(d2,[0 0 1],40,[0 0 0]);
 rotate(d3,[0 0 1],40,[0 0 0]);
 rotate(d4,[0 0 1],40,[0 0 0]);
 rotate(d5,[0 0 1],40,[0 0 0]);
  
 d1=plot([0 1.1],[0 0],'-k','LineWidth',2); 
 d2=plot([1.0 1.1 1.0],[.03 0 -0.03],'-k','linewidth',2);
 d3=fill([.27 .45 .45 .27 .27],[.02 .02 -0.02 -.02 .02],[0 0 1]);
 d4=fill([.56 .77 .77 .56 .56],[.02 .02 -0.02 -.02 .02],[1 0 0]);
 rotate(d1,[0 0 1],130,[0 0 0]);
 rotate(d2,[0 0 1],130,[0 0 0]);
 rotate(d3,[0 0 1],130,[0 0 0]);
 rotate(d4,[0 0 1],130,[0 0 0]);
           
 q2=plot([Ra Ra Ra-.02 Ra Ra+0.02],[0 .1 .07 .1 .07],'-k','LineWidth',2);
 rotate(q2,[0 0 1],40,[0 0 0]);    
 w1= text(Ra,0.2,'\omega_m','fontsize',15);
 j3=text(1.16,0,'d-axis','color','r','fontsize',15);
 rotate(j3,[0 0 1],42,[0 0 0]);
 j4=text(1.19,0,'q-axis','color','r','fontsize',15);
 rotate(j4,[0 0 1],130,[0 0 0]);rotate(w1,[0 0 1],42,[0 0 0]); 
 
 k1= text(.68,-0.05,'d');
 rotate(k1,[0 0 1],40,[0 0 0]);
 k2= text(.68,-0.05,'q');
 rotate(k2,[0 0 1],130,[0 0 0]);
  
 k3= text(.33,-0.05,'kd');
 rotate(k3,[0 0 1],40,[0 0 0]);
 k4= text(.39,-0.05,'kq');
 rotate(k4,[0 0 1],130,[0 0 0]);
 k5= text(0.04,-0.05,'f');
 rotate(k5,[0 0 1],-2,[0 0 0]);
 
 fill([.7 1.1 1.1 .7 .7],[-1.045 -1.045 -1 -1 -1.045],'m');  
 plot([.7 .7 1.1 1.1],[-1.2 -1.0 -1.0 -1.2],'-k','linewidth',2);
 plot([1.07 1.1 1.13],[-1.15 -1.1 -1.15],'-k','linewidth',2);
 text(1.14,-1.16,'i','color','m','fontsize',15')
 text(1.05,-1.21,'+','fontsize',15')
 text(.7,-1.21,'-','color','k','fontsize',15')
 text(.9,-1.21,'v','color','m','fontsize',15')
 plot(1.05,-1.08,'ko','MarkerSize',6,'MarkerFacecolor','k')
 
 text(-0.7,-1,' armature','color','r','fontsize',12)
 text(-0.7,-1.15,' dampers','color','b','fontsize',12)
 text(-0.7,-1.3,' field','color','g','fontsize',12)
 text(-0.56,-1.35,' Synchronous machine windings','color',[.6 .6 .6],'fontsize',15)
 plot(-.8,-1,'ksq','MarkerSize',16,'MarkerFacecolor','r'); 
 plot(-.8,-1.15,'ksq','MarkerSize',16,'MarkerFacecolor','b'); 
 plot(-.8,-1.3,'ksq','MarkerSize',16,'MarkerFacecolor','g'); 
 
   set(gca,'visible','off')
      hold off
   
 
  %
