%   BRUSHLESS DC DRIVE
clc,clear,close all


 inf(1)={'                    Brushless dc motor  '};
 inf(2)={' Rotor pm flux space vector  shown in green.'};   
 inf(3)={' Stator current space vector shown in red. '};
 inf(4)={' Torque is the cross product of these 2 vectors.'};
 inf(5)={' A movie can also be run under Windows Media Player '};
 inf(6)={' by activating the "brushlessmovie.avi" file.' }; 
  
 

h0=figure('units','normalized','Position',[.02 .54 .34 .31,],'Name','BRUSHLESS DC',...
    'numbertitle','off','ToolBar','none');

 uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.5 0.9 0.4], ...
	'String',inf, ...
	'Style','text');

 uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.3 .4 0.1], ...
	'String','Torque angle (rad) =', ...
	'Style','text');
h2 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .3 .25 .1], ...
	'String','pi/2', ...
	'Style','edit', ...
	'tag','delta', ...
   'TooltipString','torque angle');
uicontrol('Parent',h0, ...
   'Units','normalized', ...
   'Style','pushbutton',...
	'Callback','brushlessdcB', ...
	'FontSize',10, ...
    'ForegroundColor','b', ...
	'FontWeight','bold', ...
	'Position',[0.2 0.08 0.15 0.09], ...
	'String','Movie', ...
   'TooltipString','movie');
 uicontrol('Parent',h0, ...
   'Units','normalized', ...
   'Style','pushbutton',...
	'Callback','close', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor','b', ...
	'Position',[0.7 0.08 0.15 0.09], ...
	'String','Close', ...
	'TooltipString','Close');
%

