%   BRUSHLESS DC MOTOR
aviwave=avifile('brushlessmovie.avi','compression','cinepak');
theta=pi/2;
dphi=pi/72;phis=theta-pi/2;phim=0;g=pi/8;e=0;r2=.8;r3=.5;ns=36;rs=.6;d=0;
%
 figure('units','normalized','Position',[.3 .1 .4 .6],'Name','BRUSHLESS DC',...
        'NumberTitle','off');
 set(gcf,'color','w')      
for e=0:2:358
     
     % Fa1=.3*cos(phim);Fb1=.3*sin(phim);
     % Fa7=.3*cos(phim+pi);Fb7=.3*sin(phim+pi);
      
       p=0:pi/100:2*pi;
      X= r2*cos(p) ;Y=r2*sin(p);    
      x=r3*cos(p)  ;y=r3*sin(p);
     
      fill(X,Y,[.7 .7 .7],'LineWidth',2),hold on
      fill(x,y,[1 1 1],'LineWidth',2)
      fill(.45*cos(p),0.45*sin(p),[.7 .7 .7],'LineWidth',2)
        f1=plot(0,0,'xk',[0 0 -.05 0 0.05],[0 -.85 -.75 -0.85 -.75],'color',[1 0 0],'LineWidth',4);
      rotate(f1,[0 0 1],e+180,[0 0 0])
      f2=plot(0,0,'xk',[0 0 -.05 0 0.05],[0 -.85 -.75 -0.85 -.75],'color',[0 1 0],'LineWidth',4);  
      rotate(f2,[0 0 1],e+90,[0 0 0])
      h1=fill([.2 .4 .4 .2 .2],[-.1 -.1 .1 .1 -.1],'g');
      rotate(h1,[0 0 1],e,[0 0 0])
      h2=fill([-.4 -.2 -.2 -.4 -.4],[-.1 -.1 .1 .1 -.1],'b');
      rotate(h2,[0 0 1],e,[0 0 0])
      h3=plot([.35 .25 .35 .25],[-.03 -.03 .03 .03],'k','LineWidth',3);
      rotate(h3,[0 0 1],e,[0 0 0])
      h4=plot([-.27 -.25 -.27 -.33 -.35 -.33],[-.03 0 .03 -.03 0 0.03],'w','LineWidth',2);
      rotate(h4,[0 0 1],e,[0 0 0])
    
       thetas=0:2*pi/ns:2*pi; 
     fs=cos(thetas+.00001);
   for w=1:ns
        dd=abs(fs(w));
         if fs(w)>0; cc='kx';pp=.9;
               else cc='ko';pp=.6;
         end      
         
         m3=plot(0,rs,'ko','MarkerSize',dd*17,'MarkerFacecolor','r');
         rotate(m3,[0 0 1],d+e-90,[0 0 0])
         m4=plot(0,rs,cc,'MarkerSize',dd*17*pp,'MarkerFacecolor','k','linewidth',2);
         rotate(m4,[0 0 1],d+e-90,[0 0 0])
         d=d+360/ns;
   end 
    
    
      text(-0.6,1.1,'BRUSHLESS DC MOTOR','FontSize',16,'FontWeight','bold','color','blue')
      set(gca,'Xlim',[-1.2 1.2],'Ylim',[-1.2 1.2],'visible','off')
      axis square
      hold off
      %          
      f=getframe(gca);
      aviwave=addframe(aviwave,f);
      phis=phis+dphi;
      phim=phim+dphi;
      e=e+2.5;
     
end
  aviwave=close(aviwave);
  
    %
