%                                                      calc0.m
  phias=0 ;phibs=0;Tl=Tl0;
  phidr(1)=0 ;phiqr(1)=0;phirmag(1)=0;
Vs=abs(Vas);betao=0; wo=2*pi*freq0;beta=betao;     M=fix(tf/ti);
f=[0 0 0 0 0 0];
ias(1)=0;ibs(1)=0;ids(1)=0;iqs(1)=0;
Te(1)=Tl;spd(1)=0;
time(1)=0;
VAS(1)=1;VBS(1)=0;
    Xs=Xsl+Xm ; Xr=Xrl+Xm ;
    Xsp=Xsl+1/(1/Xm+1/Xrl); Xrp=Xrl+1/(1/Xm+1/Xsl);
    Xmp=Xsl*Xrl*(1/Xm+1/Xsl+1/Xrl);
               t=0;   fs0=fs;
dti=[ti/2 ti/2 ti 0];
q=[1 2 2 1];  v=[0 1/2 1/2 1];
for m=2:M
%    if t>=t1
%        fs=0.8 ; Vs=0.8 ;beta=betao+wo*(fs0-fs)*(t1+ti);  % step frequency change
%    end 
    if t>=t1
      Tl=Tl1;                                         % step load change
    end
    if t>=t2 
      Tl=Tl2;
    end
% Runge-Kutta procedure             
  fa=f;
  dfa=[0 0 0 0 0 0];
    for k=1:4
     vas=Vs*cos(wo*fs*(t+v(k)*ti)+beta); vbs=Vs*sin(wo*fs*(t+v(k)*ti)+beta);
     vds=vas*cos(f(6))+vbs*sin(f(6))    ; vqs=-vas*sin(f(6))+vbs*cos(f(6));
%               State equations of induction motor :
%  State variables are fluxes + speed
% -------------------------------------------------------------------
       df(1)=wo*vds-(wo*Rs/Xsp)*f(1)+wo*fk*f(2)+(wo*Rs/Xmp)*f(3)     ;
       df(2)=wo*vqs-wo*fk*f(1)-(wo*Rs/Xsp)*f(2)+(wo*Rs/Xmp)*f(4)     ;
       df(3)=     (wo*Rr/Xmp)*f(1)-(wo*Rr/Xrp)*f(3)+wo*f(4)*(fk-f(5)); 
       df(4)=     (wo*Rr/Xmp)*f(2)-wo*f(3)*(fk-f(5))-(wo*Rr/Xrp)*f(4);
         Te1=(f(2)*f(3)-f(1)*f(4))/Xmp;
       df(5)=(Te1-Tl)/(2*Hi);
         if km==2 
            fk=f(5) ;                   %  <=== Rotor reference frame
         end
       df(6)=wo*fk;
% ------------------------------------------------------------------- 
       dfa=dfa+q(k)*df;
       f=fa+df*dti(k);
    end      
    f=f+dfa*ti/6;
    t=t+ti;
%         Output vectors:
       VAS(m)=vas;VBS(m)=vbs;
       time(m)=t;
       Te(m)=(f(2)*f(3)-f(1)*f(4))/Xmp;
       spd(m)=f(5);
       phidr(m)=f(3);phiqr(m)=f(4);
       phirmag(m)=sqrt(phidr(m)*phidr(m)+phiqr(m)*phiqr(m));
       ids(m)=f(1)/Xsp-f(3)/Xmp;
       iqs(m)=f(2)/Xsp-f(4)/Xmp;
       ias(m)=ids(m)*cos(f(6))-iqs(m)*sin(f(6));
       ibs(m)=ids(m)*sin(f(6))+iqs(m)*cos(f(6));
       Is(m)=sqrt(ias(m)^2+ibs(m)^2);
end
