%  DC MACHINE CONFIGURATION
clear,clc,close all
%warning off
aviwave=avifile('dcm3.avi','compression','cinepak');
 figure('units','normalized','Position',[.25 .09 .4 .6],'Name','DC MACHINE',...
        'NumberTitle','off');
      r1=1.3;r2=1;r3=.55;r4=.5;r5=.3;e=0;
      p=0:pi/20:2*pi;
      X= r1*cos(p) ;Y=r1*sin(p);       
      x=r2*cos(p) ;y=r2*sin(p);
      co=[.6 .6 .6];
for k=1:72
      d1=95;     
      fill(X,Y,co),hold on
      fill(x,y,[1 1 1])
       x1=[.9 r3*cos(-pi/4:pi/20:pi/4) .9 r2*cos(pi/6:-pi/20:-pi/6)];
       y1=[-.389 r3*sin(-pi/4:pi/20:pi/4) 0.389 r2*sin(pi/6:-pi/20:-pi/6)];
       fill(x1,y1,co)
       x2=[-.9 r3*cos(5*pi/4:-pi/20:3*pi/4) -.9 r2*cos(5*pi/6:pi/20:7*pi/6)];
       y2=[-.389 r3*sin(5*pi/4:-pi/20:3*pi/4) 0.389 r2*sin(5*pi/6:pi/20:7*pi/6)];
       fill(x2,y2,co)
       plot(r2*cos(pi/6:-pi/20:-pi/6),r2*sin(pi/6:-pi/20:-pi/6),'LineWidth',3,'color',co)
       plot(r2*cos(5*pi/6:pi/20:7*pi/6),r2*sin(5*pi/6:pi/20:7*pi/6),'LineWidth',3,'color',co)
       fill([.8 .8 .53 .53],[.4 .5 .5 .4],'c')
       fill([.8 .8 .53 .53],[-.4 -.5 -.5 -.4],'m')
       fill([-.8 -.8 -.53 -.53],[.4 .5 .5 .4],'c')
       fill([-.8 -.8 -.53 -.53],[-.4 -.5 -.5 -.4],'m')
       plot(.68,.45,'ko','MarkerSize',6,'MarkerEdgeColor','k','MarkerFacecolor','k')
       plot(-.68,.45,'ko','MarkerSize',6,'MarkerEdgeColor','k','MarkerFacecolor','k')
       plot(.68,-.45,'kh','MarkerSize',6,'MarkerEdgeColor','k','MarkerFacecolor','k')
       plot(-.68,-.45,'kh','MarkerSize',6,'MarkerEdgeColor','k','MarkerFacecolor','k')
       
      fill(r4*cos(p),r4*sin(p),co)
      fill([-.05 .05  .05 -.05],[.5 .5 .6 .6],'k')
      fill([-.05 .05  .05 -.05],[-.5 -.5 -.6 -.6],'k')
      fill(.15*cos(p),0.15*sin(p),[.2 .2 .5])
    
      text(-.47,1.4,'DC MACHINE','FontSize',16,'FontWeight','bold','color','blue')
      theta=0:pi/18:2*pi; 
      fA=sin(2*theta+e*pi/180); 
      d=0;
    for w=1:18
         if fA(w)>0; cc='ko';pp=.7;
               else cc='kx';pp=.8;
         end      
         h3=plot(0,0.43,'ko','MarkerSize',18,'MarkerFacecolor','y');
         rotate(h3,[0 0 1],d+e,[0 0 0])
         m4=plot(0,0.43,cc,'MarkerSize',17*pp,'MarkerFacecolor','k','linewidth',2);
         rotate(m4,[0 0 1],d+e,[0 0 0])
         d=d+20;
     end
      f1= plot(.3*cos(1.1*pi:pi/20:2*pi),.3*sin(1.1*pi:pi/20:2*pi),'r','linewidth',3);
     rotate(f1,[0 0 1],e,[0 0 0])
     f2=fill([.24 .36 .30 .24],[0 0 .15 0],'-r');
     rotate(f2,[0 0 1],e,[0 0 0])    
    %     
      set(gcf,'color','w') 
      set(gca,'Xlim',[-1.5 1.5],'Ylim',[-1.5 1.5],'visible','off')
      axis square
      e=e+5;
     hold off
     f=getframe(gca);          
     aviwave=addframe(aviwave,f);
      M(k)=getframe;
end 
  aviwave=close(aviwave);
  uicontrol('Units','normalized', ...
   'Style','PushButton',...
	'BackgroundColor',[.2 .3 .8], ...
	'Callback','movie(M,2)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.35 0.1 0.09 .05], ...
	'String','Repeat', ...
    'TooltipString','Repeat');
    uicontrol('Units','normalized', ...
   'Style','PushButton',...
	'BackgroundColor',[.2 .3 .8], ...
	'Callback','close,clear,close all', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.60 0.1 0.09 .05], ...
	'String','Quit', ...
    'TooltipString','Quit');
     %
  