%  DC MACHINE CONFIGURATION
clear,clc,close all
%warning off
aviwave=avifile('dcm1.avi','compression','cinepak');
 figure('units','normalized','Position',[.25 .09 .4 .6],'Name','DC MACHINE',...
        'NumberTitle','off');
      r1=1.4;r2=1;r3=.55;r4=.5;r5=.3;e=0;
      p=0:pi/20:2*pi;
      X= r1*cos(p) ;Y=r1*sin(p);       
      x=r2*cos(p) ;y=r2*sin(p);
      co=[.6 .6 .6];
for k=1:180
      d1=95;     
      q1=fill(X,Y,co);hold on
      q2=fill(x,y,[1 1 1]);
      rotate(q1,[0 0 1],90,[0 0 0])
      rotate(q2,[0 0 1],90,[0 0 0])
       x1=[.9 r3*cos(-pi/4:pi/20:pi/4) .9 r2*cos(pi/6:-pi/20:-pi/6)];
       y1=[-.389 r3*sin(-pi/4:pi/20:pi/4) 0.389 r2*sin(pi/6:-pi/20:-pi/6)];
      q3= fill(x1,y1,co);
      rotate(q3,[0 0 1],90,[0 0 0])
       x2=[-.9 r3*cos(5*pi/4:-pi/20:3*pi/4) -.9 r2*cos(5*pi/6:pi/20:7*pi/6)];
       y2=[-.389 r3*sin(5*pi/4:-pi/20:3*pi/4) 0.389 r2*sin(5*pi/6:pi/20:7*pi/6)];
      q4=fill(x2,y2,co);
      rotate(q4,[0 0 1],90,[0 0 0])
      w4= plot(r2*cos(pi/6:-pi/20:-pi/6),r2*sin(pi/6:-pi/20:-pi/6),'LineWidth',3,'color',co);
       rotate(w4,[0 0 1],90,[0 0 0])
      w5= plot(r2*cos(5*pi/6:pi/20:7*pi/6),r2*sin(5*pi/6:pi/20:7*pi/6),'LineWidth',3,'color',co);
       rotate(w5,[0 0 1],90,[0 0 0])
       q5=fill([.8 .8 .53 .53],[.4 .5 .5 .4],'g');
        rotate(q5,[0 0 1],90,[0 0 0])
       q6=fill([.8 .8 .53 .53],[-.4 -.5 -.5 -.4],'g');
        rotate(q6,[0 0 1],90,[0 0 0])
      q7= fill([-.8 -.8 -.53 -.53],[.4 .5 .5 .4],'g');
       rotate(q7,[0 0 1],90,[0 0 0])
       q8=fill([-.8 -.8 -.53 -.53],[-.4 -.5 -.5 -.4],'g');
        rotate(q8,[0 0 1],90,[0 0 0])
       plot(.45,.68,'ko','MarkerSize',9,'MarkerEdgeColor','k','MarkerFacecolor','k')
       plot(-.45,.68,'kx','MarkerSize',12,'MarkerEdgeColor','k','MarkerFacecolor','k','LineWidth',4)
       plot(.45,-.68,'ko','MarkerSize',9,'MarkerEdgeColor','k','MarkerFacecolor','k')
       plot(-.45,-.68,'kx','MarkerSize',12,'MarkerEdgeColor','k','MarkerFacecolor','k','LineWidth',4)
       
      fill(r4*cos(p),r4*sin(p),co)
      fill([.5 .5 .6 .6],[-.07 .07 .07 -.07],'k');
      fill([-.5 -.5 -.6 -.6],[-.07 .07 .07 -.07],'k');
      %w1=fill([-.05 .05  .05 -.05],[.5 .5 .6 .6],'k');
      %rotate(w1,[0 0 1],90,[0 0 0])
      %w2=fill([-.05 .05  .05 -.05],[-.5 -.5 -.6 -.6],'k');
      % rotate(w2,[0 0 1],90,[0 0 0])
      fill(.14*cos(p),0.14*sin(p),[.2 .2 .5])
      plot(0,0,'xk',[0 0 -.05 0 0.05],[0 -.85 -.75 -0.85 -.75],'color','g','LineWidth',4);
      w5=plot(0,0,'xk',[0 0 -.05 0 0.05],[0 -.85 -.75 -0.85 -.75],'color',[1 0 0],'LineWidth',4);
        rotate(w5,[0 0 1],-90,[0 0 0])
      text(-1.2,0,'I_a','color','r','Fontsize',22);
      text(-.06,-1.0,'\lambda_f','color','g','Fontsize',22);
      text(-.41,1.55,'DC MACHINE','FontSize',16,'FontWeight','bold','color','blue')
      theta=0:pi/18:2*pi; 
      fA=cos(2*theta+e*pi/180); 
      d=0;
    for w=1:18
         if fA(w)>0; cc='rx';
               else cc='ko';
         end      
         h3=plot(0,0.43,'ko','MarkerSize',18,'MarkerFacecolor','y');
         rotate(h3,[0 0 1],d+e,[0 0 0])
         m4=plot(0,0.43,cc,'MarkerSize',11,'MarkerFacecolor','r','linewidth',3);
         rotate(m4,[0 0 1],d+e,[0 0 0])
         d=d+20;
     end
     % f1= plot(.3*cos(1.7*pi:pi/20:2*pi),.3*sin(1.7*pi:pi/20:2*pi),'y','linewidth',3);
     %rotate(f1,[0 0 1],e,[0 0 0])
    % f2=fill([.24 .36 .30 .24],[0 0 .15 0],'-y');
    % rotate(f2,[0 0 1],e,[0 0 0])  
     %f3=text(.1,0.2,'\omega_m','color','y','Fontsize',15);
     %rotate(f3,[0 0 1],e,[0 0 0])  
    %     
      set(gcf,'color','w') 
      set(gca,'Xlim',[-1.5 1.5],'Ylim',[-1.5 1.5],'visible','off')
      axis square
      e=e+2;
     hold off
     f=getframe(gca);          
     aviwave=addframe(aviwave,f);
      M(k)=getframe;
end 
  aviwave=close(aviwave);
  uicontrol('Units','normalized', ...
   'Style','PushButton',...
	'BackgroundColor',[.2 .3 .8], ...
	'Callback','movie(M,2)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.35 0.05 0.09 .05], ...
	'String','Repeat', ...
    'TooltipString','Repeat');
    uicontrol('Units','normalized', ...
   'Style','PushButton',...
	'BackgroundColor',[.2 .3 .8], ...
	'Callback','close,clear,close all', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.60 0.05 0.09 .05], ...
	'String','Quit', ...
    'TooltipString','Quit');
     %
  