%fourier0.m ---> example of Fourier decomposition of periodic functions
To=0.02;                     %period
h=20;                        %number of harmonics
t=(0:To/500:To)';
%%% Periodic signals
f1=rem(t,To)/To;                                          %sawtooth wave
f2=sin(pi*t/To).*sign(sin(pi*t/To-pi/4));                 %controlled ac rectification
f3=0.5*(1+sign(pi*t/To-pi/4)).*sin(pi*t/To);              %delayed rectified sinewave 
f4=sign(sin(2*pi*t/To));                                  %squarewave
f5=0.5*(sign(sin(2*pi*t/To))-sign(sin(-2*pi*t/To-pi/3)));  %ac rectangular wave
f6=2/pi*asin(sin(2*pi*t/To));                             %triangular wave
f7=sign(sin(2*pi*t/To))/2+sign(sin(-6*pi*t/To))/6;        %6-pulse squarewave
f8=sign(0.8-f6);                                          %bipolar PWM signal
%%%
f=[f1 f2 f3 f4 f5 f6 f7 f8];
fourierdec