% Induction machine model
function dx=imrunsif3(t,x)
global Rs Rr Lm L J Bm Vr fs fk wo km T0 p
% ------------------ Step input excitations -------------
      Vs=Vr  ;
      wm=x(5) ;
      wk=fk*wo;
       if km==3, wk=wm; end
        if t<0.2 ;  Vs=Vr ;
        elseif t>=0.2 && t<=0.6; Vs=Vr;T0=11.90;
        elseif t>0.6 && t<=1.0 ; T0=0.12;
           %else    T0=5.95   ; 
        else    fs=5/6 ; Vs=5/6*Vr ;T0=0.12;
       end
% ------------------------------------------------------    
     vas=Vs*cos(x(7));    vbs=Vs*sin(x(7));
     vds=vas*cos(x(6))+vbs*sin(x(6))   ; vqs=-vas*sin(x(6))+vbs*cos(x(6));
    V=[vds vqs 0 0]';
    I=[x(1) x(2) x(3) x(4)]'; 
    
    R=diag([Rs Rs Rr Rr]);
   
    W=[0       -wk          0        0
      wk         0          0        0
       0         0          0     -(wk-wm)
       0         0       (wk-wm)     0     ];
   
    Q=R+W*L;  
    
  Te=(3/2)*(p/2)*Lm*(x(2)*x(3)-x(1)*x(4));
  %%% Matrix formulation of induction machine equations in common reference frame   
  %%% V= R*I + W*F + dF/dt = R*I + W*L*I +dF/dt = (R + W*L)*I + L*dI/dt      
  
   di=L\(V-Q*I);
   dwm=p/2*(Te-T0)/J-Bm/J*wm;
   dx=[di;dwm;wk;wo*fs]; % State equations
     
 % ------------------------------------------------------------------       
       