%imsscalc.m
clc
h=findobj(gcf,'Tag','Rs');Rs=str2double(get(h,'string'));
h=findobj(gcf,'Tag','Lsl');Lsl=str2double(get(h,'string'));
h=findobj(gcf,'Tag','Rr');Rr=str2double(get(h,'string'));
h=findobj(gcf,'Tag','Lrl');Lrl=str2double(get(h,'string'));
h=findobj(gcf,'Tag','Lm');Lm=str2double(get(h,'string'));
h=findobj(gcf,'Tag','V');V=str2double(get(h,'string'));
h=findobj(gcf,'Tag','f');f=str2double(get(h,'string'));
h=findobj(gcf,'Tag','nmin');n1=str2double(get(h,'string'));
h=findobj(gcf,'Tag','nmax');n2=str2double(get(h,'string'));
h=findobj(gcf,'Tag','slip');s1=str2double(get(h,'string'));
%
%Rs=.01; Lsl=.1; Rr=.025; Lrl=.1; Lm=4.5; V=1; f=1; n1=-2; n2=2; s1=3;
j=sqrt(-1);
%operating point
s=s1/100;
if n1>=f, s=-abs(s); end
    Zro=Rr/s+j*Lrl;
    Zmo=j*Lm*Zro/(j*Lm+Zro);
    Zino=Rs/f+j*Lsl+Zmo;
    Reqo=real(Zmo);
    Isco=V/(f*Zino);
    Idso=real(Isco);
    Iqso=imag(Isco);
    Iso=V/(f*abs(Zino));
    Teo=Iso*Iso*Reqo;
    no=f-s;
    Pmo=Teo*no;
  %
  %  Magnetizing current
    Zmago=Rs/f+j*(Lsl+Lm);
    Imago=V/(f*Zmago);
    Imdo=real(Imago);
    Imqo=imag(Imago);
%%%
n= n1:.0002:n2;
    Zr=Rr./(f-n+eps)+j*Lrl;
    Zm=j*Lm.*Zr./(j*Lm+Zr);
    Zin=Rs/f+j*Lsl+Zm;
    Req=real(Zm);
    Isc=V./(f*Zin);
    Ids=real(Isc);
    Iqs=imag(Isc);
    Is=V./(f*abs(Zin));
    Te=Is.*Is.*Req;
    pf=cos(angle(Zin));
    Pm=Te.*n;
      %    
hpop=uicontrol('Units','normalized', ...
   'style','Popup',...
	'BackgroundColor',[1 1 1], ...
	'Callback','popimss', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0], ...
	'Position',[0.3 0.18 .13 0.02], ...
	'String','Torque plot|Current plot|Power plot|Circle diagram', ...
	'TooltipString','select');

 %