%imsscalcSI.m
clc
h=findobj(gcf,'Tag','Rs');Rs=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lsl');Lsl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Rr');Rr=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lrl');Lrl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lm');Lm=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Vt');Vt=str2num(get(h,'string'));
h=findobj(gcf,'Tag','fo');fo=str2num(get(h,'string'));
h=findobj(gcf,'Tag','nmin');n1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','nmax');n2=str2num(get(h,'string'));
h=findobj(gcf,'Tag','f');f=str2num(get(h,'string'));
h=findobj(gcf,'Tag','V');Vpu=str2num(get(h,'string'));
h=findobj(gcf,'Tag','p');p=str2num(get(h,'string'));
h=findobj(gcf,'Tag','slip');s1=str2num(get(h,'string'));
if round(p/2)~=p/2
warndlg('  p must be even','error');
 break
end
%
j=sqrt(-1);
V=Vt/sqrt(3)*Vpu;
wo=2*pi*fo;wmo=2/p*fo*60;
%%
%operating point
s=s1/100;
    Zro=Rr/s+j*Lrl*wo;
    Zmo=j*wo*Lm*Zro/(j*wo*Lm+Zro);
    Zino=Rs/f+j*wo*Lsl+Zmo;
    Reqo=real(Zmo);
    Isco=V/(f*Zino);
    Idso=real(Isco);
    Iqso=imag(Isco);
    Iso=V/(f*abs(Zino));
    Teo=1.5/wo*p*Iso*Iso*Reqo;
    no=f-s;
%  Magnetizing current
    Zmago=Rs/f+j*wo*(Lsl+Lm);
    Imago=V/(f*Zmago);
    Imdo=real(Imago);
    Imqo=imag(Imago);
%    
n= n1:.0001:n2;
    Zr=Rr./(f-n+eps)+j*Lrl*wo;
    Zm=j*wo*Lm*Zr./(j*Lm*wo+Zr);
    Zin=Rs/f+j*wo*Lsl+Zm;
    Req=real(Zm);
    Isc=V./(f*Zin);
    Ids=real(Isc);
    Iqs=imag(Isc);
    Is=V./(f*abs(Zin));
    Te=1.5/wo*p*(Is.*Is.*Req);
    pf=cos(angle(Zin));
    wm=wmo*n;wm1=4*pi*fo/p*n;
    Pm=Te.*wm1;
      %    
hpop=uicontrol('Units','normalized', ...
   'style','Popup',...
	'BackgroundColor',[1 1 1], ...
	'Callback','popimssSI', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0], ...
	'Position',[0.27 0.16 .13 0.02], ...
	'String','Torque plot|Current plot|Power plot|Circle diagram', ...
	'TooltipString','select');

 %