%                <<<   INDUCTION MOTOR  >>>
%          pulsed loading from imswing.mdl
%close all,clc
aviswing=avifile('imswing.avi','compression','cinepak');
figure('Position',[500 120 600  560],'Name','INDUCTION MOTOR PHASORS','Numbertitle','off') ;
   for k=1:length(t)
    compass(vs,0,'k') ,hold on   
   compass(is(k,1),is(k,2),'r');
   compass(ir(k,1),ir(k,2),'m');
   compass(fs(k,1),fs(k,2),'g');
   compass(fr(k,1),fr(k,2),'b');
   set(findobj(gca,'Type','line'),'LineWidth',2)
   legend('V','is','ir','fs','fr')
   text(-.8,1.4,'INDUCTION MOTOR UNDER PULSED LOAD','FontSize',10,'FontWeight','bold','color','blue')
      text(.8,-1.2,['Tl = ',num2str(Tl(k))],'FontSize',10,'FontWeight','bold')
      text(.8,-1.3,['Te = ',num2str(Te(k))],'FontSize',10,'FontWeight','bold')
      text(.8,-1.4,['wm = ',num2str(wm(k))],'FontSize',10,'FontWeight','bold')
      
   set(gca,'Xlim',[-1.5 1.5],'Ylim',[-1.5 1.5],'visible','off'); 
   hold off
      M(k)=getframe;
      f=getframe(gca);
     aviswing=addframe(aviswing,f);
  end   
   aviaswing=close(aviswing); 
  uicontrol('Units','normalized', ...
   'Style','PushButton',...
	'BackgroundColor',[.2 .3 .8], ...
	'Callback','movie(M,.2)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.47 0.05 0.10 .06], ...
	'String','Repeat', ...
    'TooltipString','Repeat');
    