%     Plot outputs of imvecV_hz.mdl
clc,close all

 % --------------------  GRAPHICAL DISPLAYS  ----------------------------------
figure('Position',[100 55 900  590],'Name','Closed-loop transient characteristics',...
      'NumberTitle','off');
  subplot(2,2,1),plot(t,wm,'-g');xlabel('TIME [s]'),ylabel('SPEED [pu]'),grid
  subplot(2,2,2),plot(t,Te,'c'),xlabel('TIME [s]'),ylabel('TORQUE [pu]'),grid
  subplot(2,2,3),plot(t,ia,'-r');xlabel('TIME [s]'),ylabel('CURRENT [pu]'),grid
  subplot(2,2,4),plot(t,vs,'b'),xlabel('TIME [s]'),ylabel('VOLTAGE [pu]'),grid
