%50hp, 460V, 4pole, 60Hz induction motor
clear
%PARAMETERS (SI)
Rs=0.087   ; %Stator resistance (Ohm)
Rr=0.228   ; %Rotor resistance  (Ohm)
Lsl=0.8e-3 ; %Stator leakage inductance (Henry)
Lrl=0.8e-3 ; %Rotor leakage inductance  (Henry)
Lm=34.7e-3 ; %Magnetizing inductance  (Henry) 
p=4 ;        %number of poles
J=1.662    ; %Moment of inertia (kg.m^2)
Bm=0.1 ;     %Torque speed coefficient
ktune=1.0  ; %tuning coefficient
%
Lr=Lm+Lrl;
taur=Lr/Rr;  %Rotor time constant (s)
%IC

load('IC8.mat') % these IC's are only valid for the parameters given above.
%
%============>  If you change ktune, be sure to save this data file.
%============>  Close this window & Restart the simulation
%