% plots for imabccap0.mdl
close all
spdsync=120*freq0/p;
spdrg=ones(1,length(t))*spdsync;

Te=y(:,1);spd=y(:,3);TL=y(:,2);Tav=y(:,4);vc=y(:,5);
ias=x(:,1);ibs=x(:,2); 
iar=x(:,3);ibr=x(:,4);

figure('Units','Normalized','Position',[.02 .50 .46 .35],'Name','Single phase motor transients (abc)');
     figure(1)
  plot(t,spd,'-m'),grid,title('SPEEDS'),xlabel('Time [s]'),ylabel('Speed [rpm]'),hold on
  plot(t,spdrg,'-r')
  legend('motor speed','synchronous speed',4) 

figure('Units','Normalized','Position',[.49 .50 .46 .35],'Name','Single phase motor transients (abc)');  
       figure(2)
  plot(t,Te,'-b',t,TL,'-c',t,Tav,'k'),grid,title('TORQUES'),xlabel('Time [s]'),ylabel('Torque [N.m]')
  legend('electromagnetic torque','load torque','average torque',1)
  
   figure('Units','Normalized','Position',[.49 .07 .46 .33],'Name','Single phase motor transients (abc)'); 
     figure(3)
  plot(t,iar,'-r'),grid,title('ROTOR CURRENT'),xlabel('Time [s]'),ylabel('Current [A]') 
  
  figure('Units','Normalized','Position',[.01 .07 .46 .33],'Name','Single phase motor transients (abc)');   
  figure(4)
  plot(t,vc,'-m'),grid,title('CAPACITOR VOLTAGE'),xlabel('Time [s]'),ylabel('Voltage [V]') 
  
  figure('Units','Normalized','Position',[.02 .07 .46 .33],'Name','Single phase motor transients (abc)');   
     figure(5)
  plot(t,ias,'-r',t,ibs,'g'),grid,title('STATOR CURRENTS'),xlabel('Time [s]'),ylabel('Current [A]')
   legend('auxiliary winding','main winding',1)