% plots for imabcsim0.mdl
close all
lg=length(t);
spdsync=120*freq0/p;
spdrg=ones(1,length(t))*spdsync;


Te=y(:,1);TL=y(:,2);
spd=y(:,3);spdcom=y(:,4);
vas=y(:,5);
ias=x(:,1);ibs=x(:,2); ics=x(:,3);
Is=sqrt(ias.^2+(ibs-ics).^2/3)  ;              % Stator current magnitude [A]
iar=x(:,5);
figure('Units','Normalized','Position',[.02 .50 .46 .35],'Name','Induction motor transients (abc)');
     figure(1)
  plot(t,spd,'-m',t,spdcom,'r'),grid,title('SPEEDS'),xlabel('Time [s]'),ylabel('Speed [rpm]')
  %plot(t,spdrg,'-r')
  legend('motor speed','command speed',3) 

figure('Units','Normalized','Position',[.49 .50 .46 .35],'Name','Induction motor transients (abc)');  
       figure(2)
  plot(t,Te,'-b',t,TL,'-c'),grid,title('TORQUES'),xlabel('Time [s]'),ylabel('Torque [N.m]')
  legend('electromagnetic torque','load torque',2)
  %set(gca,'Xlim',[sg*tf tf])
  
figure('Units','Normalized','Position',[.49 .07 .46 .33],'Name','Induction motor transients (abc)'); 
     figure(3)
  plot(t,vas,'color',[.6 .2 .4]),grid,title('STATOR VOLTAGE'),xlabel('Time [s]'),ylabel('Voltage [V]')   

figure('Units','Normalized','Position',[.02 .07 .46 .33],'Name','Induction motor transients (abc)');   
     figure(4)
  plot(t,iar,'-r'),grid,title('ROTOR CURRENT'),xlabel('Time [s]'),ylabel('Current [A]')
   
  figure('Units','Normalized','Position',[.02 .07 .46 .33],'Name','Induction motor transients (abc)');   
     figure(5)
  plot(t,ias,'-r',t,Is,'-k'),grid,title('STATOR CURRENT'),xlabel('Time [s]'),ylabel('Current [A]')
  %set(gca,'Xlim',[sg*tf tf])
  
  
 