%                      GRAPHICAL DISPLAYS                       pltrk0.m


figure('Units','Normalized','Position',[.46 .49 .47 .34],'Name','Induction motor start');
  figure(1)
plot(time,spd,'-b'),xlabel('TIME [s]'),ylabel('SPEED [pu]'),grid

figure('Units','Normalized','Position',[.01 .08 .45 .32],'Name','Induction motor start');
  figure(2)
plot(time,Te,'-r'),xlabel('TIME [s]'),ylabel('TORQUE [pu]'),grid

figure('Units','Normalized','Position',[.46 .08 .47 .32],'Name','Induction motor start'); 
  figure(3) 
plot(spd,Te,'-m'),xlabel('SPEED [pu]'),ylabel('TORQUE [pu]'),grid

 figure('Units','Normalized','Position',[.01 .50 .45 .32],'Name','Induction motor start'); 
  figure(4)
 plot(time,ias,'-r',time,Is,'-k'),xlabel('TIME [s]'),
   ylabel('STATOR CURRENT [pu]'),grid

 figure('Units','Normalized','Position',[.02 .53 .45 .32],'Name','Induction motor start'); 
  figure(5) 
plot(time,ids,'-b',time,iqs,'-r'),xlabel('TIME [s]'),ylabel('ids & iqs [pu]'),grid

figure('Units','Normalized','Position',[.02 .53 .45 .32],'Name','Induction motor start'); 
  figure(6)
plot(time,phidr,'-g',time,phiqr,'-r',time,phirmag,'-w'),xlabel('TIME [s]'),ylabel('Rotor fluxes'),grid

 
 figure('Units','Normalized','Position',[.02 .08 .45 .32],'Name','Induction motor start');
 figure(7) 
plot(ias,ibs),title('STATOR CURRENT VECTOR TRAJECTORY'),
xlabel('Stationary frame')
 axis('square')

figure('Units','Normalized','Position',[.48 .08 .45 .32],'Name','Induction motor start');
figure(8)
plot(ids,iqs),xlabel('dq frame')
 axis('square')
  
 