%menu for signals and circuits
clear,clc,close all
k=menu('SELECT DEMO:',...
                     'Transients in an RLC series circuit',...
                     'PID controller design using Ziegler-Nichols method',...
                     'RLC switched circuit at zero current',...
                     'Fourier series decomposition of typical periodic signals',...
                     '2D vector operations by means of arrows',...
                     'Switch-mode inverter',...
                     '3-phase sinusoidal pulse-width modulation',... 
                     'Space vector pulse-width modulation',...
                     'Switch-mode dc-dc converters feeding an R,L,E circuit',...
                     'Fourier decomposition of a sinusoidal pwm signal',...
                     'Waves and space vectors in AC machines',...
                     'Traveling waves in AC machines under sinusoidal excitation',...
                     'Traveling waves as space vectors',...
                     'Variable-amplitude variable-frequency three-phase sinusoidal signals',...
                     'Definition of space vectors',...
                     'Geometric view of space vectors',...
                     'Space vector representation of a three-phase signal',...
                     'Nonlinear inductor model',...
                     'Saturable inductor',...
                     'Transformer excitation buildup',...
                     'Single-phase rectifier circuit',...
                     'Single pulse rectifier circuit',...
                     'Steady-state characteristics of an electromechanical actuator',...
                     'Transient operation of an electromechanical actuator',...
                     'Close');
k1=num2str(k);                  
     switch k1
        case '1', ctrlc0;
        case '2', pidex0;    
        case '3', ctrlc1b; 
        case '4', fourier0; 
        case '5', vector_operations;    
        case '6', switchinv;       
        case '7', pwm3; 
        case '8', svpwm3;   
        case '9', dc2dc;
        case '10', fourier2;
        case '11', waves_vectors;  %wavesA;    
        case '12', travelwavesA;
        case '13', rotwavesa;    
        case '14', dqtransform;    
        case '15', spacevec3;
        case '16', veccompgui;    
        case '17', spacevec1;    
        case '18', indnl0;
        case '19', satreactor;   
        case '20', trsf1;   
        case '21', rec1;
        case '22', rec2;   
        case '23', actssgui;     %actss;   
        case '24', actuator11;   %actuator1
        case '25',clc,clear, close all,break
      end      
                 