%smshort2data.m     SYNCHRONOUS MACHINE PARAMETERS
clc,close all
disp(date)
% ------------------------  DATA  --------------------------------------------
%                      Machine parameters (pu) :
        Ra=0.018;Ld=1.15;Lq=.75;Lal=0.15; Rth=0 ; Lth=0 ;Ra=Ra+Rth;Lal=Lal+Lth;
        Rf=0.001; Lfl=0.2; Rkd=0.02; Lkdl=0.11; Rkq=0.04; Lkql=0.15;
               H=4.0;Bm=1e-6; freq0=60.0;wo=2*pi*freq0 ;
                    V=1.0 ; 
               Lmd=Ld-Lal; Lmq=Lq-Lal;     
% ----------------------------------------------------------------------------
               disp('     MACHINE PARAMETERS in per unit:            ')
disp('   Ra         Ld        Lq         Lal  ')
disp([Ra Ld Lq Lal])
disp('    Rf        Lfl       Rkd       Lkdl        Rkq       Lkql       H ')
param1=[Rf Lfl Rkd Lkdl Rkq Lkql H]; 
disp(param1)
%  Loading conditions:
     q=2.1;              %excitation level factor
     vf0=q*Rf*V/Lmd;
     Tl=-1.1;            %load (negative for generator)
%                Iductance matrix:   
     L=[Lal+Lmd    0     Lmd     0       Lmd
           0    Lal+Lmq   0       Lmq      0
         Lmd       0      Lmd+Lkdl 0      Lmd
         0       Lmq      0       Lmq+Lkql 0
         Lmd       0       Lmd     0      Lmd+Lfl];
 disp(' Inductance matrix L:')   
 disp(L)   

