%waves4.m  SPACE VECTORS in AC MAHINES
clc,clear,close all

 
 inf(1)={'      WAVES AND SPACE VECTORS IN AC MACHINES  '};
 inf(2)={' This demo shows the sinusoidal space distributions'};   
 inf(3)={' of fields in the air gap of a three-phase machine  '};
 inf(4)={' and their corresponding space vectors at any instant'};
 inf(5)={' of time. (no zero-sequence components) '};
 

h0=figure('units','normalized','Position',[.01 .635 .34 .22],'Name','WAVES & SPACE VECTORS',...
    'numbertitle','off','ToolBar','none');

 uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.5 0.9 0.5], ...
	'String',inf, ...
	'Style','text');

 uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.26 .42 0.1], ...
	'String','Signed peak of phase A', ...
	'Style','text');
hA = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.46 .26 .25 .1], ...
	'String','10', ...
	'Style','edit', ...
	'TooltipString','fA');
uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.1 .42 0.1], ...
	'String','Signed peak of phase B', ...
	'Style','text');
hB = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.46 .1 .25 .1], ...
	'String','-20', ...
	'Style','edit', ...
	'TooltipString','fB');
 uicontrol('Parent',h0, ...
   'Units','normalized', ...
   'Style','pushbutton',...
	'Callback','wavesB', ...
	'FontSize',10, ...
    'ForegroundColor','r', ...
	'FontWeight','bold', ...
	'Position',[0.79 0.26 0.15 0.12], ...
	'String','Run', ...
   'TooltipString','run');
 uicontrol('Parent',h0, ...
   'Units','normalized', ...
   'Style','pushbutton',...
	'Callback','close all,clc', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor','r', ...
	'Position',[0.79 0.1 0.15 0.12], ...
	'String','Quit', ...
	'TooltipString','Quit');
%