%waves & space vectors

fA=eval(get(hA,'string'));
fB=eval(get(hB,'string'));
fC=-(fA+fB);
%
alpha=2*pi/3;
theta=0:pi/40:2*pi; deg=theta*180/pi;
j=sqrt(-1);
q=zeros(1,length(theta));
%
      f1=fA*cos(theta);       F1=fA;
      f2=fB*cos(theta-alpha); F2=fB*exp(j*alpha);
      f3=fC*cos(theta+alpha); F3=fC*exp(-j*alpha);
      fR=f1+f2+f3           ; FR=F1+F2+F3;
      magF=abs(FR);      degF=angle(FR)*180/pi;
      flim=1.1*max(fR);
      disp(['                                                                 fC = ' num2str(fC)     '         Space vector F = ' num2str(magF) ' /__ ' num2str(degF)]);
%     
      figure('Units','normalized','Position',[.01 .09 .96 .45],'Name','WAVES & SPACE VECTORS',...
         'NumberTitle','off',...
         'color',[.8 .8 .8],...
         'DoubleBuffer','off');
      
      %
      p1=axes('Position',[0.05 0.1 .47 .8]);
      plot(deg,f1,'-r',deg,f2,'-g',deg,f3,'-b',deg,fR,'-k',deg,q,'-k'),
      title('WAVE SPACE DISTRIBUTIONS'),xlabel('Angular position [deg]')
      legend('phase A','phase B','phase C','resultant',0)
      set(gca,'Xlim',[0 360],'Ylim',[-flim flim])
      set(gca,'Xtick',0:30:360),grid
      p2=axes('Position',[0.52 0.1 .5 .8]);
      compass(FR,'k'),hold on
      compass(F1,'r')
      compass(F2,'g')
      compass(F3,'b')
      title('SPACE VECTORS ')
      hold off
    %
  %%%%%%%%%   