%                <<<   DC MOTOR  >>>
%          pulsed loading from dcmotpos2.mdl
close all clc close all
poscom=y(:,1);
pos=x(:,1);
aviswing=avifile('dcmotpos.avi','compression','cinepak');

   for k=1:length(t)
    figure('Units','normalized','Position',[0.05 0.17 .85 .5],'Name',' DC MOTOR under pulsed loading','NumberTitle','on')  
  subplot(1,2,1)
      plot(t,poscom,'-r',t,pos,'-b',t(k),pos(k),'*k'),grid
      xlabel('Time [s]'),ylabel('Position [rad]')
    
  subplot(1,2,2)
     plot([0 1.5],[0 0],':r'),hold on
     plot([0 1.5*cos(1)],[0 1.5*sin(1)],':g')
     plot([0 1.5*cos(.5)],[0 1.5*sin(.5)],':b')
      vecarrow([0 0],[cos(pos(k)) sin(pos(k))],'k')
      xlabel('Rotor motion')
    axis('equal')
     
    f=getframe(gcf);
     aviswing=addframe(aviswing,f);
  end   
   aviaswing=close(aviswing); 
  