% Induction machine S-function model
function [f,x0]=imKmod(t,x,u,flag,Rs,Rr,L,Hi,wo,ic)
switch flag,
  case 1,
              flux=[x(1) x(2) x(3) x(4)]'; cur=L\flux ;
%               Dynamic equations of induction machine :
       f(1)=wo*(u(1)-Rs*cur(1)+u(3)*x(2)); 
       f(2)=wo*(u(2)-u(3)*x(1)-Rs*cur(2));
       f(3)=wo*(-Rr*cur(3)+x(4)*(u(3)-x(5)));
       f(4)=wo*(-Rr*cur(4)-x(3)*(u(3)-x(5)));
       f(5)=(cur(2)*x(1)-cur(1)*x(2)-u(4))/(2*Hi);
       f(6)=wo*u(3);
    case 3,
%              Outputs      
              flux=[x(1) x(2) x(3) x(4)]'; cur=L\flux ;
        f(1)=x(5); 
        f(2)=cur(2)*x(1)-cur(1)*x(2);
        f(3)=cur(1);
        f(4)=cur(2);
        f(5)=x(6);
    case 0,
         f=[6,0,5,4,0,1];
         x0=ic;
    case {2,4,9},
         f=[];
   otherwise
         error(['unhandled flag = ',num2str(flag)]);
 end     