%    MOVIE OF INDUCTION MACHINE 
clc,clear,close all
disp(date)
info= ...  
        ['           SQUIRREL-CAGE INDUCTION MACHINE          '
         '                     Stator view                    '
         ' A movie can also be run under Windows Media Player '
         ' by activating the "logo.avi" file just created.    '];  
         
disp(info)
warning off
aviwave=avifile('logo.avi','compression','cinepak');
phis=0;rr=0.4;e=0;e1=0;d=0;d1=0;rs=0.7;ns=40;z=0;co=[.55 .27 .07];
%
 figure('units','normalized','Position',[.1 .1 .7 .7],'Name','INDUCTION MOTOR',...
        'NumberTitle','off');
 set(gcf,'color','w') 
     
     for e=0:2:358
      z=z+1;         
      Fa1=.70*cos(phis);Fb1=.70*sin(phis);      
      Fa4=.70*cos(phis+pi);Fb4=.70*sin(phis+pi);
      q=0:pi/40:2*pi;q1=pi:pi/20:2*pi;q2=pi:-pi/20:0;
      fill([0 -1 1],[-0.4 -1.2 -1.2],[.6 .6 .4],'LineWidth',1.5),hold on
      fill(.9*cos(q),0.9*sin(q),[.6 .6 .6],'LineWidth',1.5)
      h1= patch(.62*cos(q1),0.62*sin(q1),1:length(q1),'facecolor','interp');
      h2=patch(.62*cos(q2),0.62*sin(q2),1:length(q2),'facecolor','interp');
      fill(.48*cos(q),0.48*sin(q),[.6 .6 .6],'LineWidth',1.5)
      rotate(h1,[0 0 1],e-90,[0 0 0])
      rotate(h2,[0 0 1],e-90,[0 0 0])
      
     thetas=0:2*pi/ns:2*pi; 
     fs=cos(thetas+.00001);
   for w=1:ns
        dd=abs(fs(w));
         if fs(w)>0 cc='ko';pp=.6;
               else cc='kx';pp=1;
         end      
         
         m3=plot(0,rs,'ko','MarkerSize',dd*17,'MarkerFacecolor','g');
         rotate(m3,[0 0 1],d+e-90,[0 0 0])
         m4=plot(0,rs,cc,'MarkerSize',dd*17*pp,'MarkerFacecolor','k','linewidth',2);
         rotate(m4,[0 0 1],d+e-90,[0 0 0])
         d=d+360/ns;
    end 
     
theta=0:pi/18:2*pi; 
fA=cos(2*theta+pi/6-.4*e*pi/180); 

    for w=1:18
        dd=abs(fA(w));
         if fA(w)>0 cc='kx';pp=1;
               else cc='ko';pp=.6;
         end      
         h3=plot(0,0.4,'ko','MarkerSize',18,'MarkerFacecolor','y');
         rotate(h3,[0 0 1],d+.6*e,[0 0 0])
         m3=plot(0,0.4,'ko','MarkerSize',dd*17,'MarkerFacecolor','m');
         rotate(m3,[0 0 1],d+.6*e,[0 0 0])
         m4=plot(0,0.4,cc,'MarkerSize',dd*17*pp,'MarkerFacecolor','k','linewidth',2);
         rotate(m4,[0 0 1],d+.6*e,[0 0 0])
         d=d+20;
     end
               
      f2=plot([0 0 -.05 0 0.05],[0 -.85 -.75 -0.85 -.75],'color','m','LineWidth',4);
      rotate(f2,[0 0 1],e-120,[0 0 0]) 
      f1=plot([0 0 -.05 0 0.05],[0 -.85 -.75 -0.85 -.75],'color','g','LineWidth',4);
      rotate(f1,[0 0 1],e,[0 0 0]) 
      plot(0,0,'ko','MarkerSize',6,'MarkerFacecolor','k');
      text(-.3,-.98,'Squirrel-cage ','color','w','Fontsize',16);
      text(-.35,-1.08,'induction motor','color','w','Fontsize',16);
      set(gca,'Xlim',[-1.2 1.2],'Ylim',[-1.2 1.2],'visible','off')
            
      axis ('equal')
      hold off
      %  
       M(z)=getframe;
      f=getframe(gca);
      aviwave=addframe(aviwave,f);
  end
     aviwave=close(aviwave);
   
  %%%%%%%    
