%                <<<   DATA FOR IMabcstartsim0.mdl  >>>
clc,close all
%%%%%%%%%%%%%%%%%%%%%%% PARAMETERS [pu] %%%%%%%%%%%%%%%%%%%%%%%%
Vm=1.0   ; % Stator voltage 
freq0=60 ; % Base frequency (Hz)
wo=2*pi*freq0 ; % Base frequency (rad/s)
Rs=0.01  ; % Stator resistance 
Rr=0.02  ; % Rotor resistance  
Lsl=.10 ;  % Stator leakage inductance
Lrl=.10  ; % Rotor leakage inductance  
Lm=4.50;   % Magnetizing inductance
H=0.60 ;   % Inertia constant (s)
Bm=0.10;   % Frictional coefficient
TL1=0.10;  % Initial load torque 
TL2=1.27;  % Final load torque 
Lm1=Lm;
gam=2*pi/3;
    Ls=Lsl+Lm1; Lr=Lrl+Lm1; 
    
   %Lm1=2/3*Lm;      = single-phase inductance 
   
   %R=diag([Rs Rs Rs Rr Rr Rr]);    = Resistance matrix
      
   % Inductance matrices 
    %Lss=[Ls   -Lm1/2 -Lm1/2   
    %    -Lm1/2   Ls  -Lm1/2
    %    -Lm1/2 -Lm1/2   Ls] ;
    
    %Lrr=[Lr   -Lm1/2 -Lm1/2   
    %    -Lm1/2   Lr  -Lm1/2
    %    -Lm1/2 -Lm1/2   Lr]; 
  
  %% Lsr=Lm1*[cos(theta)     cos(theta+gam) cos(theta-gam)
  %%        cos(theta-gam)   cos(theta)   cos(theta+gam)
  %%       cos(theta+gam) cos(theta-gam)     cos(theta)]; 
  
  %% L = [Lss Lsr
  %%     Lsr' Lrr]
  
  %%% Matrix formulation of induction machine equations in abc phase variable model
  %%% Constitutive flux-current relations:
  %%%    F = L*I   or  I = L\F  
  %%% Electrical system equations:
  %%%    V= R*I + dF/wodt = R*I + d(L*I)/wodt = (R + wm*dL/dtheta)*I + L*dI/wodt  
  %%% Mechanical system equation:
  %%%    Te =2H*dwm/dt + TL + Bm*wm
  %%%    wm = dtheta/wodt
       
  %% Te=1/2*I'*dLdtheta*I          Electromagnetic torque
 