%imss3plt : Plots derived for im3ss.mdl
clc,close all
Is=sqrt(I_real.^2+I_imag.^2);
[speed; torque; Is;I_real;I_imag]'
disp('    speed     torque      Is      I_real    I_imag')
  figure('Position',[50 410 950  400],'Name','Steady-state characteristics',...
      'NumberTitle','off','MenuBar','none');
   subplot(1,2,1),plot(speed,torque);title('Torque-speed curve');xlabel('Speed [pu]'),ylabel('Torque [pu]'),grid
   subplot(1,2,2),plot(speed,Is);title('Current-speed curve');xlabel('Speed [pu]'),ylabel('Current [pu]'),grid
  figure('Position',[220 35 300 330],'Name','Circle diagram',...
      'NumberTitle','off','MenuBar','none');
   plot(I_real,I_imag),title('CURRENT CIRCLE DIAGRAM'),grid,hold on
compass([0 1],[0 0],'r') 
compass([0 0.91],[0 -0.4]),
compass([0 I_real(1)],[0 I_imag(1)])
axis([-3 3 -6 0]);
axis equal