% Induction machine steady-state model
function [f,x0]=imssmod2(t,x,u,flag,Rs,Rr,Lsl,Lrl,Lm,wm)
switch flag,
    case 3,
         %              Outputs
         j=sqrt(-1);
    Zr=Rr./((u(2)-wm)+eps)+j*Lrl;
    Zm=j*Lm.*Zr./(j*Lm+Zr);
    Zin=Rs/u(2)+j*Lsl+Zm;
    Req=real(Zm);
    Is=u(1)./(u(2)*abs(Zin));
    Te=Is.*Is.*Req;
    f=[wm Te Is];
    case 0,
       m=3*length(wm);
       f=[0,0,m,2,0,1];
       x0=[];
    case {1,2,4,9},
         f=[];
       otherwise
         error(['unhandled flag = ',num2str(flag)]);
  end