%  IMwaves
clc,clear,close all


 inf(1)={'                  SPACE VECTORS IN AC MACHINES  '};
 inf(2)={'                  [Balanced sinusoidal steady state]'};   
 inf(3)={' This demo animates the motion of stator and rotor '};
 inf(4)={' space vectors in various reference frames. A stator'};
 inf(5)={' variable is indicated in blue and a rotor variable '};
 inf(6)={' in green. The reference frames are identified by x '}; 
 inf(7)={' placed at the terminus of the vectors and colored  '};  
 inf(8)={' blue for <stator>, green for <rotor>, and black for'};
 inf(9)={' <synchronous> frames, respectively. The animation   '};
 inf(10)={' lasts for one complete cycle of the base stator   '};
 inf(11)={' frequency (ws=1.0 pu) and then repeats itself.   '};
 inf(12)={' A movie can also be run under Media Player by '};
 inf(13)={' activating the "imwaves.avi" file. '};

h0=figure('units','normalized','Position',[.02 .35 .34 .50],'Name','SPACE VECTORS' ,...
    'numbertitle','off','ToolBar','none');

 uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.2 0.9 0.7], ...
	'String',inf, ...
	'Style','text');

 uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.3 .4 0.1], ...
	'String','Shaft speed n (pu) =', ...
	'Style','text');
h2 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .35 .25 .05], ...
	'String','-0.5', ...
	'Style','edit', ...
    'TooltipString','speed');
 uicontrol('Parent',h0, ...
   'Units','normalized', ...
   'Style','pushbutton',...
	'Callback','imwavesB', ...
	'FontSize',10, ...
    'ForegroundColor','b', ...
	'FontWeight','bold', ...
	'Position',[0.2 0.08 0.15 0.09], ...
	'String','Movie', ...
   'TooltipString','movie');
 uicontrol('Parent',h0, ...
   'Units','normalized', ...
   'Style','pushbutton',...
	'Callback','close', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor','b', ...
	'Position',[0.7 0.08 0.15 0.09], ...
	'String','Close', ...
	'TooltipString','Close');
%

