% plots for SMabcstab7.mdl
close all
spdrg=ones(1,length(t));
Te=y(:,1);spd=y(:,3);TL=y(:,2);pos=y(:,4);
ias=x(:,1);
iff=x(:,4);
angle=y(:,4);             % Torque angle [o]
   
figure('Units','Normalized','Position',[.02 .50 .46 .35],'Name','Alternator stability');
     figure(1)
  plot(t,spd,'-m'),grid,title('SPEEDS'),xlabel('Time [s]'),ylabel('Speed [pu]'),hold on
  plot(t,spdrg,'-r')
  legend('alternator speed','synchronous speed',4) 

figure('Units','Normalized','Position',[.49 .50 .46 .35],'Name','Alternator stability');  
       figure(2)
  plot(t,Te,'-b',t,TL,'-c'),grid,title('TORQUES'),xlabel('Time [s]'),ylabel('Torque [pu]')
  legend('electromagnetic torque','load torque',4)
  
  
figure('Units','Normalized','Position',[.49 .07 .46 .33],'Name','Alternator stability'); 
     figure(3)
  plot(t,iff,'-g'),grid,title('FIELD CURRENT'),xlabel('Time [s]'),ylabel('field current [pu]')   

  
  figure('Units','Normalized','Position',[.02 .07 .46 .33],'Name','Alternator stability');   
     figure(4)
  plot(t,ias,'-r'),grid,title('STATOR CURRENT'),xlabel('Time [s]'),ylabel('Stator current [pu]')
  
  figure('Units','Normalized','Position',[.01 .49 .45 .35],'Name','Alternator stability');
  figure(5)
  plot(t,angle,'color',[0.5 0 0]);title('Alternator transients','color','r');xlabel('Time [s]'),ylabel('Torque angle \delta [o]'),grid 
 
  figure('Units','Normalized','Position',[.48 .08 .50 .32],'Name','Alternator stability'); 
    figure(6) 
   plot(angle,spd,'color',[.5 .3 .4]);title('Alternator','color','r');xlabel('Torque angle \delta [o]'),ylabel('Speed [pu]'),grid  