% --------------------  GRAPHICAL DISPLAYS for <<SMabcsimsync2.mdl>>  ---------------------
 close all
 Te=y(:,1); TL=y(:,2);
 ias=x(:,1); iff=x(:,4);
 spd=y(:,3);
 angle=y(:,4);             % Torque angle [o]
  
  figure('Units','Normalized','Position',[.46 .49 .47 .34],'Name','Alternator sync');
  figure(1)
  plot(t,Te,'-b',t,TL,'-c'),grid,title('TORQUES'),xlabel('Time [s]'),ylabel('Torque [pu]')
  legend('electromagnetic torque','load torque',4)
  
  figure('Units','Normalized','Position',[.01 .08 .45 .32],'Name','Alternator sync');
  figure(2) 
   plot(t,ias,'-r');title('Stator current','color','r'),xlabel('Time [s]'),ylabel('ias [pu]'),grid
   figure('Units','Normalized','Position',[.46 .08 .47 .32],'Name','Alternator sync'); 
  figure(3) 
   plot(t,iff,'-g');title('Field current vs time','color','r');xlabel('Time [s]'),ylabel('Field current [pu]'),grid 
   figure('Units','Normalized','Position',[.01 .50 .45 .32],'Name','Alternator sync'); 
  figure(4) 
   plot(t,angle,'-m');title('Torque angle vs time','color','r');xlabel('Time [s]'),ylabel('Torque angle \delta [o]'),grid 
  figure('Units','Normalized','Position',[.02 .53 .45 .32],'Name','Alternator sync'); 
  figure(5) 
   plot(angle,spd,'-c');title('Speed vs angle','color','r');xlabel('Angle \delta [o]'),ylabel('Speed [pu]'),grid 