
%%%
close all
figure('units','normalized','Position',[.1 .1 .5 .4],'Name','Field distribution due to sinusoidal winding',...
        'NumberTitle','off');
theta0=(0:10:360)*pi/180;
alphab=2*pi/3; gamab=120;arb='g';
 beta=0;
thetab=theta0-alphab;

pb=cos(beta-alphab); 
wb=abs(pb);
ub=cos(thetab).*cos(thetab);
vb=cos(thetab).*sin(thetab);
xb=cos(thetab); yb=sin(thetab); set(gcf,'color','w')
fill(1.85*cos(q),1.85*sin(q),[.6 .6 .6],'LineWidth',1.0);hold on 
fill(1.25*cos(q),1.25*sin(q),[.95 .98 .95]);
fill(.75*cos(q),.75*sin(q),[.6 .6 .6]);
plot(xb,yb,'y');
%h0=quiver(xb,yb,ub,vb,.6*pb,'g');
if pb>=0 , h0=quiver('v6',xb,yb,ub,vb,.6*wb,'r');
  else h0=quiver(xb,yb,-ub,-vb,.6*wb,'r');
end
rotate(h0,[0 0 1],gamab)
fill(.75*cos(q),.75*sin(q),[.6 .6 .6]);
g3=compass(1.5*pb,0,'g');
rotate(g3,[0 0 1],gamab)
axis('equal')
set(gca,'Xlim',[-2.2 2.2],'Ylim',[-2.2 2.2],'visible','on')