%rotwavesA.m   TRAVELING WAVES in AC MACHINES
clc,clear,close all
 
 inf(1)={'                                  SPACE VECTORS IN A BALANCED THREE-PHASE SYSTEM   '};
 inf(2)={' Space vector representation of the mmf distribution in an AC machine created by balanced'};   
 inf(3)={' three-phase sinusoidal currents. Each of the ABC (RGB) space vectors pulsates along its'};
 inf(4)={' respective axis. The resultant vector (in black),of 1.5 magnitude, rotates at the excitation frequency.'};
% 
 h0=figure('units','normalized','Position',[.1 .1 .6 .8],'Name','TRAVELING WAVES & SPACE VECTORS',...
    'numbertitle','off','ToolBar','none');
m=150;
 uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 0], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.85 0.90 0.11], ...
	'String',inf, ...
	'Style','text');

 uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0 0 1], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.81 .3 0.04], ...
	'String','Number of cycles',...
	'Style','text');
hcy = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.4 .81 .08 .03], ...
	'String','3', ...
	'Style','edit', ...
	'TooltipString','cycles');

 uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 0 1], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.77 .3 0.03], ...
	'String','Frequency or speed ', ...
	'Style','text');

hpop=uicontrol('Units','normalized', ...
   'style','Popup',...
	'BackgroundColor',[.2 .3 .8], ...
	'Callback','poprot', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.4 .41 .11 0.39], ...
	'String','normal|fast|slow', ...
	'TooltipString','Speed');
 uicontrol('Parent',h0, ...
   'Units','normalized', ...
   'Style','pushbutton',...
	'Callback','rotwavesb1', ...
	'FontSize',10, ...
    'BackgroundColor',[.2 .3 .8], ...
    'ForegroundColor','w', ...
	'FontWeight','bold', ...
	'Position',[0.85 0.80 0.10 0.05], ...
	'String','Run', ...
    'TooltipString','run');
	   
 uicontrol('Parent',h0, ...
    'Units','normalized', ...
    'Style','pushbutton',...
	'Callback','close all,clc,clear', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
    'BackgroundColor',[.2 .3 .8], ...
	'ForegroundColor','w', ...
	'Position',[0.85 0.76 0.10 0.05], ...
	'String','Quit', ...
	'TooltipString','Quit');

%
