%menu for script.m files
clc,close all
k=menu('STEADY-STATE CHARACTERISTICS:',...
   'Converting induction mahine parameters from SI to pu values',... 
   'Steady-state characteristics of induction machines',...
   'Rr and V/f control of induction machine characteristics [pu]',... 
   'Volts per Hertz speed control of induction motor [SI]',...
   'Phasor representation of the induction machine',...
   'Phasor diagram of the induction machine',...
   'Phasor analysis and diagram of the (non salient) synchronous machine',...
   'V- and C-compounding curves of the synchronous motor',...
   'Compounding curves of the synchronous generator',...
   'Capability curves of the synchronous generaror',...
   'Steady-state characteristics of the (salient) synchronous machine',...
   'Steady-state characteristics of induction machines(balanced)',...
   'Power flow and voltage stability in a 3-bus power system',...
   'Characteristics of induction machines under unbalanced or asymmetrical conditions',...
   'Close');
k1=num2str(k);
   switch k1
    case '1', SI1; 
    case '2',
        q=menu('SELECT :',...
           'Per-unit formulation',...
           'SI formulation',...
           'Return');
   q1=num2str(q);      
      switch q1
        case '1',imssgui;
        case '2',imssguiSI;
        case '3',clc,close all script;   
      end  
    case '3',imssgui66; 
    case '4',imvf1;   
    case '5',imphasorin1;
    case '6',imphasor0;    
    case '7',smphasor1;
    case '8',syncmotVCcurves;  
    case '9',smccurves;    
    case '10',smcapability;    
    case '11',
        w=menu('SELECT DEMO:',...
           'Phasor diagram',...
           'Characteristics as function of Ef',...
           'Close');
   w1=num2str(w);      
      switch w1
      case '1',smss1a;
      case '2',smss1;
      case '3',clc,close all,break  
      end  
    case '12',imss1a; 
    case '13',pf6in;    
    case '14',    
      q=menu('SELECT DEMO:',...
         'dq model in synchronous frame (balanced and symmetrical)',...
         'dq model in stator frame (stator unbalance)',...
         'dq model in arbitrary frame (balanced and symmetrical)',...
         'dq model of an induction machine with single-phase rotor (rotor frame)',...
         'Synchronous motor starting (rotor frame)',...
         'Induction motor in SI units (stator frame)',...
         'Single phase capacitor motor (SI units)',...
         'Ac tachometer',...
         'Close');
   q1=num2str(q);   
        switch q1
        case '1',imssdqka;
        case '2',imssdqsia;
        case '3',imdqsrka;
        case '4',imssdq1rot1;
        case '5',smssdq1;
        case '6',imssdqsia;
        case '7',imssdqcapa;
        case '8',actac;   
        case '9',clc,close all,break
        end 
    case '15',clc,clear,close all, break
  end      
                 