% ------------------------  DATA for the synchronous machine   smdata.m------
%                      Machine parameters (pu) :
               Ra=.018;Xd=1.15;Xq=.75;Xal=0.15; Rth=0 ; Xth=0 ;
               Rf=0.001; Xfl=0.2; Rkd=0.02; Xkdl=0.11; Rkq=0.04; Xkql=0.15;
               Hi=4.0; freq0=60.0;wo=2*pi*freq0 ;bet=0 ;
%                      Loading conditions (pu):
               V=1.0 ; I=1.25 ; pf=.90; 
               if pf>1.0 || pf<0
                   error('     Power factor must be less than unity and positive')
               end    
%                      Settings:
               tf=3.0 ;               % final time [s]
               tg=0.20 ;              % time of 3-phase fault [s]
               tc=0.30 ;              % time of clearing [s]
%           BE SURE TO SAVE A MODIFIED DATA FILE BEFORE RUNNING AGAIN.              
% --------------------------------------------------------------------------
    