% sm phasor diagram
L=length(t);
Ifd=iff(L); Ifq=0;
Efd=0; Efq=Lmd*iff(L);
Id=i(L,1); Iq=i(L,2);
Vd=v(L,1); Vq=v(L,2);
figure('Units','normalized','Position',[.52 .08 .45 .7],'Name','PHASORS',...
         'NumberTitle','on',...
         'DoubleBuffer','off');
compass(iff(L),'g'),hold on;compass(v(L,1),v(L,2),'b');                        
compass(i(L,1),i(L,2),'r');                                                    
compass(j*Lmd*iff(L),'c')                                                      
title('Phasors oriented along dq axes')                                          
figure('Units','normalized','Position',[.02 .08 .49 .7],'Name','PHASORS',...
         'NumberTitle','on',...
         'DoubleBuffer','off');
vecarrow([0 0],[Ifd Ifq],'g'),grid,hold on
vecarrow([0 0],[Efd Efq],'c')
vecarrow([0 0],[Vd Vq],'b')
vecarrow([0 0],[Id Iq],'r')
plot(0,0,'kx','MarkerSize',10)
title('Phasor diagram along dq axes')
 axis equal 
set(findobj(gca,'Type','line'),'LineWidth',2)
      legend('If','Ef','V','I')
      hold off     
