%    squirrel-cage induction machine picture
clc,clear,
dir=[0 0 1];e=0;
q=0:pi/20:2*pi;
z1=ones(size(q));
lv=[cos(60*pi/180),cos(90*pi/180),cos(120*pi/180)];
figure('units','normalized','numbertitle','off','name','AC MACHINE','menubar','none',...
    'position',[0.27 .1 .2 .28]);
set(gcf,'color',[.8 .8 .8]) 
for e=0:200
    p=-2:.2:2.6;
    fill3(2.6*cos(q),2.6*sin(q),z1,[.65 .65 .65],'edgecolor','none');hold on
    plot3(zeros(size(p)),zeros(size(p)),p)
    alpha(.45);
    
    [X,Y,Z]=cylinder(2.0,160);surf(X,Y,Z,'facecolor',[.6 .6 .6],'edgecolor',[.9 .9 .9 ]);
    [X,Y,Z]=cylinder(2.6,160);surf(X,Y,Z,'facecolor',[.6 .6 .6],'edgecolor',[.9 .9 .9]);
    [X,Y,Z]=cylinder(1.6,24);h1=surf(X,Y,Z,'facecolor',[.6 .8 .8],'edgecolor','y','linewidth',5);
     rotate(h1,dir,e)
     axis equal
     set(gca,'Xlim',[-2.0 2.0],'Ylim',[-2.0 2.0],'visible','off','cameraupvector',lv)
         
          hold off
      f=getframe(gca);
      
end 
 
rotate3d