%travelwavesB.m
%data
clc,
f=60; T=1/f; w=2*pi*f;
theta=0:pi/1000:2*pi;
t=0;dt=T/100;
ca=eval(get(ha,'string'));
cp=eval(get(hp,'string'));
c=eval(get(hc,'string'));
%

 figure('units','normalized','Position',[.01 .1 .6 .4],'Name','TRAVELING WAVES ',...
         'NumberTitle','off');
          Fa=[];Fb=[];
 while t<=c*T+dt
      f1=cos(w*t)*cos(theta)+ca*cos(w*t-cp*pi/2)*sin(theta);
      fa=cos(w*t); fb=ca*cos(w*t-cp*pi/2);
      Fa=[Fa fa]; Fb=[Fb fb];
      axes('Position',[0.05 0.1 .5 .8]),hold on
      plot(theta*180/pi,f1,'-r','LineWidth',2), title('WAVE SPACE DISTRIBUTION','color','r')
      set(gca,'Xlim',[0 360],'Ylim',[-1.5 1.5])
      set(gca,'Xtick',0:30:360),grid
      axes('Position',[0.55 0.1 .5 .8])
      compass(1.49,0.1,'w'),hold on
      compass(fa,fb,'b'),title('SPACE VECTOR TRAJECTORY','color','b')
      set(findobj(gca,'Type','line'),'LineWidth',2)
      drawnow
      t=t+dt;
 end
      plot(Fa,Fb,'m') 
%    
