%%%%% veccompcalc.m
clc,clear
h=findobj(gcf,'Tag','fA');fA=str2num(get(h,'string'));
h=findobj(gcf,'Tag','fB');fB=str2num(get(h,'string'));

alpha=2*pi/3;
fC=-(fA+fB); 
h1=findobj('tag','fC');set(h1,'String',num2str(fC));
       F1=fA;
       F2=fB*exp(j*alpha);   T2=F1+F2; T2x=real(T2); T2y=imag(T2);
        F3=fC*exp(-j*alpha); T3=T2+F3; T3x=real(T3); T3y=imag(T3);
       FR=2/3*(F1+F2+F3);
       Rmag=abs(FR);     Rphase=angle(FR)*180/pi;
       fa=real(FR);  fb=imag(FR);Fb=j*fb;
 h1=findobj('tag','fC');set(h1,'String',num2str(fC));     
 h2=findobj('tag','Rmag');set(h2,'String',num2str(Rmag)) ; 
 h3=findobj('tag','Rphase');set(h3,'String',num2str(Rphase)); 
 h4=findobj('tag','fa0');set(h4,'String',num2str(fa));
 h5=findobj('tag','fb0');set(h5,'String',num2str(fb));
  h10=axes('Position',[0.1 0.04 .85 .53]);
     plot(0,0,'xk','markersize',12)
     vecarrow([T2x T2y],[T3x T3y],'b'),grid
     vecarrow([fA 0],[T2x T2y],'g')
     vecarrow([0 0],[T3x T3y],'y')
     vecarrow([0 0],2/3*[T3x T3y],'m')
     vecarrow([0 0],[fA 0],'r')
    axis('square','equal')
   
 set(findobj(gca,'Type','line'),'LineWidth',2)     
      title('SPACE VECTOR','color','m','fontsize',14)
       
    