%waves & space vectors
clc
h1=findobj(gcf,'Tag','one');
h3=findobj(gcf,'Tag','fA');fA=str2num(get(h3,'string'));
h4=findobj(gcf,'Tag','fB');fB=str2num(get(h4,'string'));
%
fC=-(fA+fB);
%
alpha=2*pi/3;
theta=0:pi/40:2*pi; deg=theta*180/pi;
j=sqrt(-1);
q=zeros(1,length(theta));
%
%
      f1=fA*cos(theta);       F1=fA;
      f2=fB*cos(theta-alpha); F2=fB*exp(j*alpha);
      f3=fC*cos(theta+alpha); F3=fC*exp(-j*alpha);
      fR=f1+f2+f3           ; FR=F1+F2+F3;
      magF=abs(FR);      degF=angle(FR)*180/pi;
      flim=1.1*magF;
     % 
     axes(h1),hold on
      plot(deg,f1,'-r',deg,f2,'-g',deg,f3,'-b',deg,fR,'-k','linewidth',1.5),grid
      title('WAVE SPACE DISTRIBUTIONS','color','b','fontweight','b'),xlabel('Angular position [deg]')
      plot(deg,q,'-k','linewidth',1)
      legend('phase A','phase B','phase C','resultant',0)
      set(gca,'Xlim',[0 360],'Ylim',[-flim flim]) 
      set(gca,'Xtick',0:30:360)
      line([0 0],[-flim flim],'color','r','linestyle',':')
       line([120 120],[-flim flim],'color','g','linestyle',':')
       line([240 240],[-flim flim],'color','b','linestyle',':')
        line([360 360],[-flim flim],'color','r','linestyle',':')
      hold off
      
      h2=axes('Position',[0.5 0.11 .6 .6]);
     compass(FR,'k'),hold on
      compass(F1,'r')
      compass(F2,'g')
      compass(F3,'b')
      set(findobj(gca,'Type','line'),'LineWidth',2)
      plot(0,0,'oy','markersize',10)
      line([0 1.2*magF],[0 0],'color','r','linestyle',':')
      line([0 1.2*magF*cos(2*pi/3)],[0 1.2*magF*sin(2*pi/3)],'color','g','linestyle',':')
      line([0 1.2*magF*cos(2*pi/3)],[0 -1.2*magF*sin(2*pi/3)],'color','b','linestyle',':')
      title('SPACE VECTORS ','color','r','fontweight','bold')
      text(1.2*magF,0,'A','color','r')
      text(1.2*magF*cos(2.2*pi/3),1.3*magF*sin(2*pi/3),'B-axis','color','g')
      text(1.2*magF*cos(2.2*pi/3),-1.3*magF*sin(2*pi/3),'C-axis','color','b')
      hold off
      magF1=sprintf('%6.3f',magF);
      degF1=sprintf('%6.3f',degF);
    h6= findobj('tag','mF');set(h6,'String',magF1)
    h7=findobj('tag','dF');set(h7,'String',degF1)
    h8=findobj('tag','fC');set(h8,'String',num2str(fC))

    %%%%%%%%%   